#define INCR 1
#define DECR 0
#define VERT 0
#define HORIZ 1
#define incmode(x) (x<<4)+0
#define wrapmode(x) (x<<5)+0
#define movemode(x) (x<<3)+0
#define bgrmode(x) (x<<$0B)+0
#define origin(x) (x<<7)+0
#define msb(adr) ((adr>>8)&$FF)+0
#define lsb(adr) (adr&$FF)+0

.ifdef NO_INTERRUPTS
  .define INT_ON nop
  .define INT_OFF di
.else
  .define INT_ON ei
  .define INT_OFF di
.endif

#define combhilo(hi,lo) (256*hi)+lo

#define EoF 0
#define EoL 1
#define textadr(x) 2,x&$FF,(x>>8)&$FF
#define textcol(x) 3,x
#define textbg(x) 4,x
#define textmarquee() 5
#define no_op() 6

myflags      .equ asm_flag1
colormarquee = 0
storymode    = 1

myvars     .equ textShadow
stack      .equ myvars+0
bgcolor    .equ stack+2
curveg     .equ bgcolor+1
preveg     .equ curveg+1
pathvar    .equ preveg+1
level      .equ pathvar+1    ;object 1
leveldist  .equ level+1      ;//huh. apprently npp has code collapsing for
vegprob    .equ leveldist+2  ;//inc files when using object/end keywords
nomprob    .equ vegprob+1    ;end 1
sublevdist .equ nomprob+1
curnom     .equ sublevdist+1
menuoption .equ curnom+1
treatcyc   .equ menuoption+1
textx      .equ treatcyc+1
texty      .equ textx+1
curscreen  .equ texty+1 ;currently displaying: 0=left, 1=right
catcyc     .equ curscreen+1
catposx    .equ catcyc+1
catposy    .equ catposx+1
catrow     .equ catposy+1   ;0-4
subnyan    .equ catrow+1
supernyan  .equ subnyan+1
nyans      .equ supernyan+1
raincyc    .equ nyans+4
invincible .equ raincyc+1
raintemp   .equ invincible+1  ;countdown timer for invincibility
lives      .equ raintemp+1
textcyc    .equ lives+1
newlifecnt .equ textcyc+1  ;when reach value, generate newlife
starcyc    .equ newlifecnt+1
csskipadr  .equ starcyc+1
startable  .equ csskipadr+2      ;3*20 bytes long .db x,y,state[0-5]
nomtable   .equ startable+(3*20) ;45*3 bytes long .db x,y,%000Tiiii
nommeter   .equ nomtable+(45*3)  ;10 bytes long. 0's for no items

myvars2    .equ tempSwapArea
temp1      .equ myvars2+0
temp2      .equ temp1+2
temp3      .equ temp2+2
LFSRSeed   .equ temp3+2
randData   .equ LFSRSeed+8
prevKey    .equ randData+2
keyDelay   .equ prevKey+1
keyBufLen  .equ keyDelay+1
keyBuffer  .equ keyBufLen+1  ;8 bytes at most
maintable  .equ keyBuffer+10 ;blahblah

STATUSBG   .equ 64
SPACEBG    .equ 130
ERRORBG    .equ 12
BLACKBG    .equ 0

PINK_TRANS  .equ 248
GREEN_TRANS .equ 7







